Package com.usatiuk.dhfs.repository

# Class DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase

java.lang.Object
com.usatiuk.dhfs.repository.DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase

All Implemented Interfaces:
  `DhfsObjectSyncGrpcGrpc.AsyncService`, `io.grpc.BindableService`

Enclosing class:
  `DhfsObjectSyncGrpcGrpc`

public abstract static class DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase extends Object implements io.grpc.BindableService, DhfsObjectSyncGrpcGrpc.AsyncService
Base class for the server implementation of the service DhfsObjectSyncGrpc.

## Constructor Summary

Constructors
Constructor
Description
`DhfsObjectSyncGrpcImplBase()`

## Method Summary

Modifier and Type
Method
Description
`io.grpc.ServerServiceDefinition`
`bindService()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.usatiuk.dhfs.repository.DhfsObjectSyncGrpcGrpc.AsyncService

`canDelete, getObject, opPush, ping`

## Constructor Details

### DhfsObjectSyncGrpcImplBase

public DhfsObjectSyncGrpcImplBase()

## Method Details

### bindService

public io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`